# Class SequenceRegion

java.lang.Object
htsjdk.tribble.gff.SequenceRegion

All Implemented Interfaces:
  `Locatable`

public class SequenceRegion extends Object implements Locatable
Represents a sequence region feature in a gff3 file. May be linear or circular.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object other)`
`String`
`getContig()`
Gets the contig name for the contig this is mapped to.
`int`
`getEnd()`
`int`
`getStart()`
`int`
`hashCode()`
`boolean`
`isCircular()`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface Locatable

`contains, contigsMatch, getLengthOnReference, overlaps, withinDistanceOf`

## Method Details

### getContig

public String getContig()
Description copied from interface: `Locatable`
Gets the contig name for the contig this is mapped to. May return null if there is no unique mapping.

Specified by:
  `getContig` in interface `Locatable`
Returns:
  name of the contig this is mapped to, potentially null

### getStart

public int getStart()

Specified by:
  `getStart` in interface `Locatable`
Returns:
  1-based start position, undefined if getContig() == null

### getEnd

public int getEnd()

Specified by:
  `getEnd` in interface `Locatable`
Returns:
  1-based closed-ended position, undefined if getContig() == null

### isCircular

public boolean isCircular()

### equals

public boolean equals(Object other)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`